Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022797
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajorhave not tried2013-01-14 18:522014-03-15 03:04
ReportermaiteView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP21
StatusclosedFix in branchFixed in SCM revisiona9321acaca4e
ProjectionnoneETAnoneTarget Version3.0MP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022797: Pick and Execute in Payment Proposal window is not working properly

DescriptionPick and Execute in Payment Proposal window is not working properly
Steps To Reproduce1. Create Payment proposal header for EspaƱa organization. No set any business partner
2. Run Select Expected Payments button, clean default filters and select any record. Now, before submit changes, filter by any available business partner and select its line. Submit changes and realize that no lines are added.

Problem seems to be when using any filtering criteria in pick and edit window, because if you add one or more lines, submit them, press Select Expected Payments button again and select any other line (no using filtering criteria) all lines are properly added.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00236193.0MP23 closedAugustoMauch Pick and execute grid does not remember selection when it is sorted 
related to defect 00254753.0PR14Q2 closedshankarb Pick and Execute in Payment Proposal window is not filtering properly 

-  Notes
(0056547)
hgbot (developer)
2013-02-19 13:46

Repository: erp/devel/pi
Changeset: b55c25ebb28b170915385a37ad4d578d37c10802
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Feb 19 18:05:22 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b55c25ebb28b170915385a37ad4d578d37c10802 [^]

Fixes Issue 0022797: Pick and Execute in Payment Proposal window is not working properly

When filtering records after selection, only the selected id's were retained.
Modified code to retain the whole object when the data is fetched.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0056626)
hudsonbot (developer)
2013-02-20 04:51

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d828167a9e83 [^]

Maturity status: Test
(0056840)
hgbot (developer)
2013-02-28 15:07

Repository: erp/devel/pi
Changeset: 29d08718823e0b641aa68e6b0f6f73a167432277
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Feb 28 19:33:34 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/29d08718823e0b641aa68e6b0f6f73a167432277 [^]

Related to Issue 0022797 : Code Refactoring

Modified logic to retain the editable fields alone instead of retaining the whole record while filtering.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0056885)
hgbot (developer)
2013-03-01 11:36

Repository: erp/devel/pi
Changeset: 13f53a5dcd907e003d483f7604141f140eb3fc18
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Fri Mar 01 16:04:07 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/13f53a5dcd907e003d483f7604141f140eb3fc18 [^]

Related to Issue 22707 : Backed out changeset

Backout changeset as it is the commit of issue 22797.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0056886)
hgbot (developer)
2013-03-01 11:36

Repository: erp/devel/pi
Changeset: 92a48bbd8673c7c4e0e3e471b90aa8a787b0b039
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Fri Mar 01 16:05:00 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/92a48bbd8673c7c4e0e3e471b90aa8a787b0b039 [^]

Related to Issue 22797 : Code Refactoring

Modified code to retrieve getFields() before the loop.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0056931)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test
(0056942)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test
(0056943)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test
(0056958)
AugustoMauch (developer)
2013-03-04 10:32

Code reviewed and verified in pi@b89b81a6f0f9
(0065106)
hgbot (developer)
2014-03-13 07:18

Repository: erp/devel/pi
Changeset: a9321acaca4e1064af29cf62914d3e6e00d9a1cb
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Mar 13 11:43:10 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a9321acaca4e1064af29cf62914d3e6e00d9a1cb [^]

Fixes Issue 22797: Pick and Execute in Payment Proposal window is not working properly

In case of large data, if data is not available in allRows, it is checked if localData contains data.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0065108)
shankarb (developer)
2014-03-13 07:21

Issue already fixed. The commit[1] is incorrectly committed to this issue. It is the commit of the issue[2]

[1] https://code.openbravo.com/erp/devel/pi/rev/a9321acaca4e [^]
[2] https://issues.openbravo.com/view.php?id=25475 [^]
(0065110)
hgbot (developer)
2014-03-13 07:35

Repository: erp/devel/pi
Changeset: 6e9494ef95ff365059fc85aa0a515fbea7fedb44
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Mar 13 11:57:47 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6e9494ef95ff365059fc85aa0a515fbea7fedb44 [^]

Related to issue 25475, issue 22797: Backed out changeset a9321acaca4e

Backing out the changeset as the commit has been incorrectly commited to issue 22797 instead of 25475.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0065172)
hudsonbot (developer)
2014-03-15 03:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8396ec753aec [^]
Maturity status: Test
(0065174)
hudsonbot (developer)
2014-03-15 03:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8396ec753aec [^]
Maturity status: Test
(0065175)
hudsonbot (developer)
2014-03-15 03:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8396ec753aec [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-14 18:52 maite New Issue
2013-01-14 18:52 maite Assigned To => dmiguelez
2013-01-14 18:52 maite Modules => Advanced Payables and Receivables Mngmt
2013-01-14 18:52 maite Triggers an Emergency Pack => No
2013-01-14 18:53 maite Issue Monitored: networkb
2013-01-14 18:53 maite Priority normal => immediate
2013-01-15 10:06 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-02-11 16:53 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2013-02-11 16:54 jonalegriaesarte Priority immediate => urgent
2013-02-11 16:54 jonalegriaesarte Target Version => 3.0MP21
2013-02-13 15:54 jecharri Assigned To jecharri => AugustoMauch
2013-02-14 12:33 AugustoMauch Assigned To AugustoMauch => shankarb
2013-02-19 13:19 shankarb Status new => scheduled
2013-02-19 13:19 shankarb fix_in_branch => pi
2013-02-19 13:45 shankarb Review Assigned To => AugustoMauch
2013-02-19 13:45 shankarb fix_in_branch pi =>
2013-02-19 13:45 shankarb Issue Monitored: AugustoMauch
2013-02-19 13:46 hgbot Checkin
2013-02-19 13:46 hgbot Note Added: 0056547
2013-02-19 13:46 hgbot Status scheduled => resolved
2013-02-19 13:46 hgbot Resolution open => fixed
2013-02-19 13:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b55c25ebb28b170915385a37ad4d578d37c10802 [^]
2013-02-20 04:51 hudsonbot Checkin
2013-02-20 04:51 hudsonbot Note Added: 0056626
2013-02-28 15:07 hgbot Checkin
2013-02-28 15:07 hgbot Note Added: 0056840
2013-03-01 11:36 hgbot Checkin
2013-03-01 11:36 hgbot Note Added: 0056885
2013-03-01 11:36 hgbot Checkin
2013-03-01 11:36 hgbot Note Added: 0056886
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056931
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056942
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056943
2013-03-04 10:32 AugustoMauch Note Added: 0056958
2013-03-04 10:32 AugustoMauch Status resolved => closed
2013-03-04 10:32 AugustoMauch Fixed in Version => 3.0MP21
2013-04-23 16:01 AugustoMauch Relationship added related to 0023619
2014-01-15 17:01 ioritzCia Relationship added related to 0025475
2014-03-13 07:18 hgbot Checkin
2014-03-13 07:18 hgbot Note Added: 0065106
2014-03-13 07:18 hgbot Status closed => resolved
2014-03-13 07:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/b55c25ebb28b170915385a37ad4d578d37c10802 [^] => http://code.openbravo.com/erp/devel/pi/rev/a9321acaca4e1064af29cf62914d3e6e00d9a1cb [^]
2014-03-13 07:21 shankarb Note Added: 0065108
2014-03-13 07:21 shankarb Status resolved => closed
2014-03-13 07:35 hgbot Checkin
2014-03-13 07:35 hgbot Note Added: 0065110
2014-03-15 03:04 hudsonbot Checkin
2014-03-15 03:04 hudsonbot Note Added: 0065172
2014-03-15 03:04 hudsonbot Checkin
2014-03-15 03:04 hudsonbot Note Added: 0065174
2014-03-15 03:04 hudsonbot Checkin
2014-03-15 03:04 hudsonbot Note Added: 0065175


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker